This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 205101 - Installer crashes if installed over non-anonymous ftp and the user password is empty
Installer crashes if installed over non-anonymous ftp and the user password i...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 02:33 EDT by Anthony Liu
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 17:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anthony Liu 2006-09-04 02:33:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6

Description of problem:
When trying to install FC5 over ftp, it is found the Anaconda crashes every after I have chosen to Skip CR-ROM check. After choosing different combinations, it turns out that a null-password for a non-anonymous ftp server crashes Anaconda.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.boot up with "linux askmethod"
2.Choose to install over non-anonymous ftp.
3.It crashes after network info been asked and the CD check phase has been through. (It doesn't matter whether the CD check is done or skipped.)

Actual Results:
Anaconda crashes.

Expected Results:
Start installation.

Additional info:
Comment 1 Jeremy Katz 2006-09-06 01:52:20 EDT
How does it crash -- is there a traceback?
Comment 2 Anthony Liu 2006-09-06 02:16:18 EDT
loader received SIGSEGV!. Backtrace:
[0x8049865]
[0xe02420]
[0x805e641]
[0x804ad21]
[0x80cae75]
[0x8048131]
install exited abnormally
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
/mnt/runtime done
disabling /dev/loop0
/proc/bus/usb done
/proc done
/dev/pts done
/sys done
/tmp/ramfs done
/mnt/source done
you may safely reboot your system
Comment 3 Chris Lumens 2006-09-06 14:13:31 EDT
I am unable to reproduce this in Rawhide.  Please try with FC6test3 and let us
know if this is still broken for you.
Comment 4 Anthony Liu 2006-09-06 19:33:10 EDT
I can try FC6test3 but it won't be so soon.

The ftp server involved is a FileZilla FTP server.
The username is 3 letters in length. Password is empty.

It seems like FC5 installer crashed after it has passed the authentication
procedure on the FTP server.
Comment 5 Anthony Liu 2006-09-21 04:04:33 EDT
Is there a d/l link for FC6test3? I tried to find an ISO file but was unlucky.
Comment 6 Chris Lumens 2006-09-25 16:51:24 EDT
From the release announcement:

HTTP, FTP, and RSYNC downloads are available from these Fedora Project
mirrors.  Note that not all mirrors may be synced at this time.

http://fedora.redhat.com/Download/mirrors.html

Note You need to log in before you can comment on or make changes to this bug.